From 3e6eafc96452dfc022ac63323586e79d4dd1ca4b Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Apr 23 2024 03:43:18 +0000
Subject: [PATCH 131/220] License fix


---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 311d359..e2d3be6 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -72,6 +72,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -84,7 +85,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-app-library
 %{_datadir}/applications/com.system76.CosmicAppLibrary.desktop
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 63beea0..f058001 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -79,6 +79,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -91,7 +92,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-applets
 %{_bindir}/cosmic-panel-button
 %{_bindir}/cosmic-app-list
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 7279ba3..db75d24 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -64,7 +64,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\([[:alnum:][:punct:]]* v[0-9.]*\) (https:\/\/github.com\/[^#]*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -77,7 +77,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-bg
 %{_datadir}/applications/com.system76.CosmicBackground.desktop
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 55cb1ec..0574564 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -82,8 +82,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
-sed 's/\([[:alnum:][:punct:]]* v[0-9.]*\) (https:\/\/github.com\/[^#]*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
-
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 26e50e9..fc6fcd9 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -76,6 +76,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -88,7 +89,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-edit
 %{_datadir}/applications/com.system76.CosmicEdit.desktop
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 95bf9e7..920595f 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -75,6 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -87,7 +88,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-files
 %{_datadir}/applications/com.system76.CosmicFiles.desktop
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index a6bbefc..30c95c1 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -83,6 +83,7 @@ cargo build --release --all --offline --frozen
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 install -Dm0755 target/release/cosmic-greeter %{buildroot}/%{_bindir}/cosmic-greeter
@@ -117,7 +118,7 @@ install -Dm0644 debian/cosmic-greeter-daemon.service %{buildroot}/%{_unitdir}/co
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-greeter
 %{_bindir}/cosmic-greeter-daemon
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 2884502..65333fc 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -77,6 +77,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -89,7 +90,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-launcher
 %{_datadir}/applications/com.system76.CosmicLauncher.desktop
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 1d8a273..99c7eb4 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -70,6 +70,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -82,7 +83,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-notifications
 %{_datadir}/applications/com.system76.CosmicNotifications.desktop
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 9842d51..9d9444d 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -76,6 +76,7 @@ make all polkit-agent-helper-1=/usr/lib/polkit-1/polkit-agent-helper-1
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
@@ -88,7 +89,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-osd
 
 %changelog
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index b05e974..d8ce21a 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -67,6 +67,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -79,7 +80,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-panel
 %{_datadir}/cosmic/com.system76.CosmicPanel.Dock/*
diff --git a/rpms/cosmic-player/cosmic-player.spec b/rpms/cosmic-player/cosmic-player.spec
index cf5b5db..7cddad7 100644
--- a/rpms/cosmic-player/cosmic-player.spec
+++ b/rpms/cosmic-player/cosmic-player.spec
@@ -44,6 +44,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 %cargo_install
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 3963cd3..48082b3 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -58,6 +58,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -70,7 +71,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-randr
 
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index 76a867d..f8e78fe 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -61,6 +61,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -73,7 +74,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-screenshot
 %{_datadir}/applications/com.system76.CosmicScreenshot.desktop
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index aa0fa7c..30020b2 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -87,6 +87,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
@@ -99,7 +100,7 @@ just rootdir=%{buildroot} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-session
 %{_bindir}/start-cosmic
 %{_userunitdir}/cosmic-session.target
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index c60e0c5..c842c1b 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -74,6 +74,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
@@ -86,7 +87,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-settings-daemon
 
 %changelog
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 8f75d2b..e491947 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -75,6 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
@@ -87,7 +88,7 @@ just rootdir=%{buildroot} install
 %files
 %license LICENSE.md
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-settings
 %{_datadir}/applications/com.system76.CosmicSettings.desktop
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 3a52cc1..ff4e71f 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -74,6 +74,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -86,7 +87,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-store
 %{_datadir}/applications/com.system76.CosmicStore.desktop
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index ffd814e..b81b7be 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -75,6 +75,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} prefix=%{_prefix} install
@@ -87,7 +88,7 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %doc README.md
 %{_bindir}/cosmic-term
 %{_datadir}/applications/com.system76.CosmicTerm.desktop
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 33e0b3b..dc49bec 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -80,6 +80,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
@@ -92,7 +93,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_bindir}/cosmic-workspaces
 %{_datadir}/applications/com.system76.CosmicWorkspaces.desktop
 %{_datadir}/icons/hicolor/scalable/apps/com.system76.CosmicWorkspaces.svg
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index 4cba5fb..b26961f 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -74,6 +74,7 @@ just build-release --offline --frozen
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 just rootdir=%{buildroot} install
diff --git a/rpms/system76-power/system76-power.spec b/rpms/system76-power/system76-power.spec
index a17490e..0f87aa4 100644
--- a/rpms/system76-power/system76-power.spec
+++ b/rpms/system76-power/system76-power.spec
@@ -37,6 +37,7 @@ BuildRequires:  cargo-rpm-macros >= 26
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 %cargo_install
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index 3fd8499..aadc22b 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -79,6 +79,7 @@ cat .vendor/config.toml >> .cargo/config
 %{cargo_license_summary}
 %{cargo_license} > LICENSE.dependencies
 %{cargo_vendor_manifest}
+sed 's/\(.*\) (.*#\(.*\))/\1^git\2/' -i cargo-vendor.txt
 
 %install
 make install DESTDIR=%{buildroot} prefix=%{_prefix}
@@ -91,7 +92,7 @@ make install DESTDIR=%{buildroot} prefix=%{_prefix}
 %files
 %license LICENSE
 %license LICENSE.dependencies
-# %%license cargo-vendor.txt
+%license cargo-vendor.txt
 %{_libexecdir}/xdg-desktop-portal-cosmic
 %{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.cosmic.service
 %{_datadir}/xdg-desktop-portal/portals/cosmic.portal
